import{s as H,n as N,o as Y}from"../chunks/scheduler.b108d059.js";import{S as Q,i as F,g as _,s as a,r as U,A as S,h as b,f as i,c as o,j as D,u as W,x as k,k as X,y as q,a as n,v as A,d as E,t as M,w as I}from"../chunks/index.008de539.js";import{C as z}from"../chunks/CodeBlock.7b00c886.js";import{H as O,E as K}from"../chunks/index.4089c5b1.js";function ee(G){let l,T,h,w,c,g,s,L=`You can build our own CPU or CUDA TEI container using Docker.  To build a CPU container, run the following command in the
directory containing your custom Dockerfile:`,C,r,x,m,j=`To build a CUDA container, it is essential to determine the compute capability (compute cap) of the GPU that will be
used at runtime. This information is crucial for the proper configuration of the CUDA containers. The following are
the examples of runtime compute capabilities for various GPU types:`,v,u,R="<li>Turing (T4, RTX 2000 series, …) - <code>runtime_compute_cap=75</code></li> <li>A100 - <code>runtime_compute_cap=80</code></li> <li>A10 - <code>runtime_compute_cap=86</code></li> <li>Ada Lovelace (RTX 4000 series, …) - <code>runtime_compute_cap=89</code></li> <li>H100 - <code>runtime_compute_cap=90</code></li>",J,p,Z=`Once you have determined the compute capability is determined, set it as the <code>runtime_compute_cap</code> variable and build
the container as shown in the example below:`,y,d,B,f,V,$,P;return c=new O({props:{title:"Build a custom container for TEI",local:"build-a-custom-container-for-tei",headingTag:"h1"}}),r=new z({props:{code:"ZG9ja2VyJTIwYnVpbGQlMjAu",highlighted:"docker build .",wrap:!1}}),d=new z({props:{code:"JTIzJTIwR2V0JTIwc3VibW9kdWxlJTIwZGVwZW5kZW5jaWVzJTBBZ2l0JTIwc3VibW9kdWxlJTIwdXBkYXRlJTIwLS1pbml0JTBBJTBBcnVudGltZV9jb21wdXRlX2NhcCUzRDgwJTBBJTBBZG9ja2VyJTIwYnVpbGQlMjAuJTIwLWYlMjBEb2NrZXJmaWxlLWN1ZGElMjAtLWJ1aWxkLWFyZyUyMENVREFfQ09NUFVURV9DQVAlM0QlMjRydW50aW1lX2NvbXB1dGVfY2Fw",highlighted:`<span class="hljs-meta prompt_"># </span><span class="language-bash">Get submodule dependencies</span>
git submodule update --init

runtime_compute_cap=80

docker build . -f Dockerfile-cuda --build-arg CUDA_COMPUTE_CAP=$runtime_compute_cap`,wrap:!1}}),f=new K({props:{source:"https://github.com/huggingface/text-embeddings-inference/blob/main/docs/source/en/custom_container.md"}}),{c(){l=_("meta"),T=a(),h=_("p"),w=a(),U(c.$$.fragment),g=a(),s=_("p"),s.textContent=L,C=a(),U(r.$$.fragment),x=a(),m=_("p"),m.textContent=j,v=a(),u=_("ul"),u.innerHTML=R,J=a(),p=_("p"),p.innerHTML=Z,y=a(),U(d.$$.fragment),B=a(),U(f.$$.fragment),V=a(),$=_("p"),this.h()},l(e){const t=S("svelte-u9bgzb",document.head);l=b(t,"META",{name:!0,content:!0}),t.forEach(i),T=o(e),h=b(e,"P",{}),D(h).forEach(i),w=o(e),W(c.$$.fragment,e),g=o(e),s=b(e,"P",{"data-svelte-h":!0}),k(s)!=="svelte-168bqza"&&(s.textContent=L),C=o(e),W(r.$$.fragment,e),x=o(e),m=b(e,"P",{"data-svelte-h":!0}),k(m)!=="svelte-z297w4"&&(m.textContent=j),v=o(e),u=b(e,"UL",{"data-svelte-h":!0}),k(u)!=="svelte-7z8qoi"&&(u.innerHTML=R),J=o(e),p=b(e,"P",{"data-svelte-h":!0}),k(p)!=="svelte-138ec41"&&(p.innerHTML=Z),y=o(e),W(d.$$.fragment,e),B=o(e),W(f.$$.fragment,e),V=o(e),$=b(e,"P",{}),D($).forEach(i),this.h()},h(){X(l,"name","hf:doc:metadata"),X(l,"content",te)},m(e,t){q(document.head,l),n(e,T,t),n(e,h,t),n(e,w,t),A(c,e,t),n(e,g,t),n(e,s,t),n(e,C,t),A(r,e,t),n(e,x,t),n(e,m,t),n(e,v,t),n(e,u,t),n(e,J,t),n(e,p,t),n(e,y,t),A(d,e,t),n(e,B,t),A(f,e,t),n(e,V,t),n(e,$,t),P=!0},p:N,i(e){P||(E(c.$$.fragment,e),E(r.$$.fragment,e),E(d.$$.fragment,e),E(f.$$.fragment,e),P=!0)},o(e){M(c.$$.fragment,e),M(r.$$.fragment,e),M(d.$$.fragment,e),M(f.$$.fragment,e),P=!1},d(e){e&&(i(T),i(h),i(w),i(g),i(s),i(C),i(x),i(m),i(v),i(u),i(J),i(p),i(y),i(B),i(V),i($)),i(l),I(c,e),I(r,e),I(d,e),I(f,e)}}}const te='{"title":"Build a custom container for TEI","local":"build-a-custom-container-for-tei","sections":[],"depth":1}';function ie(G){return Y(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ce extends Q{constructor(l){super(),F(this,l,ie,ee,H,{})}}export{ce as component};
